Compilieren von SWT unter FBSD... (libembed_base.so)

rfolkerts

Well-Known Member
Hi,

ich möchte gerne Eclipse 3.0M4 (... bald dann halt die M5) unter FreeBSD "nativ" laufen lassen.

Ich habe nun den SWT-Source nach diversen Änderungen am make_gtk.mak fast durchcompiliert bekommen -- nur versucht er, sich gegen eine

libembed_base.so

zu linken -- und diese Datei finde ich leider auf meinem FBSD 5.1-CURRRENT (auch auf'm 4.9-STABLE) nicht. Weder installiert (was ja nicht so tragisch wäre) noch kommt das in irgend einer pkg-plist in /usr/ports/... vor :-(

Hat jemand hier einen Tipp, woher ich die bekommen kann, damit der -lembed_base des "ld" durchkommt?

Ich schätze, dass die "mal" im mozilla-embedded (oder -devel) erstellt wurde - aber die Port-Dirs sind bei mir leer und in der MOVED findet sich ein Hinweis, dass die fehlerhaft waren / nicht benötigt würden.

Beim www/mozilla - Port habe ich dann mal nachgeschaut, ob ich irgendwelche Optionen finde, die mich evtl. die embed_base Library herstellen lassen. Dort habe ich aber auch nichts derartiges gefunden.

Hat jemand einen Tipp, ob man u.U. gegen eine andere Lib linken kann, welche die libembed_base.so "ersetzt" oder ob es einen Weg gibt, diese lib zu erstellen?

Thanks,
_ralf_
 
Oben